leaflet (1.7.1~dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * set Multi-Arch: foreign

  [ Jonas Smedegaard ]
  * use brotli compression suffix .brotli
    (not .br used for language breton)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Dec 2020 22:11:27 +0100

leaflet (1.7.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright:
    + exclude more images with embedded non-free ICC profile
      when repackaging upstream source
    + update coverage
  * drop patches cherry-picked upstream now applied
  * unfuzz patch 1001
  * fix map for browser-optimized esm code
    (wrongly referenced non-esm code since 1.6.0~dfsg-2)
  * check syntax during build;
    build-depend on eslint
  * document omitted build-time checks in TODO file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Sep 2020 22:49:09 +0200

leaflet (1.6.0~dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * add patches cherry-picked upstream:
    + prefix IE-specific "zoom" CSS property
    + fix error with bind function in esm build
    + fix use passive events when supported
    + fix cleanup setMaxBound listener on map removal
    + fix call closePopup function only when defined
    + fix exception calling LayerGroup/hasLayer()
      with wrong layerId
    + use passive event listeners for touchstart/touchend
    + drop legacy click filter targeted android 4.x
    + fix remove touchstart/touchend listeners
    + fix Microsoft Edge support (pre-Chromium)
    + fix some issues related to wrong Browser.pointer value
    + fix invalid condition in _addPointerStart
    + attach pointer tracker listeners to document
      (not documentElement)
    + avoid blocking canvas events on dragging
    + use passive for DomEvent touchmove
      (not touchend)
    + use fix popup event propagation to popup._container
    + fix tiles flickering when maxNativeZoom === maxZoom
    + support loading video muted
    + fix GridLayer _updateLevels and _removeTilesAtZoom
    + use rollup output.freeze option
      (not Object.freeze hack)
    + fix tooltipAnchor behavior for different directions
    + update FeatureGroup factory method

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jun 2020 21:33:12 +0200

leaflet (1.6.0~dfsg-2) unstable; urgency=medium

  * add patch 1001 to add module field to package.json
  * symlink ES module in node package
  * compress ES module;
    build-depend on uglifyjs.terser
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * add superficial skip-not-installable eslint autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2020 11:20:32 +0200

leaflet (1.6.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * copyright: extend coverage for main upstream author
  * update watch file:
    + simplify regular expressions
    + use dversionmangle=auto
    + rewrite usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Nov 2019 17:41:52 +0100

leaflet (1.5.1~dfsg-2) unstable; urgency=medium

  * Mark autopkgtests as superficial.
  * Declare compliance with Debian Policy 4.4.1.
  * Install nodejs code under /usr/share (not /usr/lib).
  * Build-depend explicitly on node-rollup-plugin-json.
    Closes: Bug#941598. Thanks to Pirate Praveen.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 17:56:30 +0200

leaflet (1.5.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Add autopkgtest.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jul 2019 00:14:08 -0300

leaflet (1.4.0~dfsg-5) unstable; urgency=medium

  * Fix provide all source files with node-leaflet.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jan 2019 01:32:33 +0100

leaflet (1.4.0~dfsg-4) experimental; urgency=medium

  * Add binary package node-leaflet.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 15:10:15 +0100

leaflet (1.4.0~dfsg-3) unstable; urgency=medium

  * Stop build-depend explicitly on node-source-map.
  * Update and bump version of NEWS entry.
  * Simplify rules.
    Build-depend on rename.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 13:24:53 +0100

leaflet (1.4.0~dfsg-2) experimental; urgency=medium

  * Fix pre-compress browser library as gzip (not zlib).
  * Strip comments from browser library.
  * Simplify rules: Use pattern rules.
  * Use UglifyJS2 v3.
    Build-depend on recent uglifyjs (not node-uglify).
  * Update copyright info:
    + Extend ownership coverage of copyright-check script.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Jan 2019 19:42:51 +0100

leaflet (1.4.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Build with rollup and uglifyjs CLI (not jake and uglify-js library).
    Build-depend on rollup (not node-jake).
    Fix path of included map file.
    Include ES module.
  * Rewrite patch 2002.
  * Compress stylesheet.
    Build-depend on sassc.
  * Provide zlib and brotli pre-compressed files.
    Build-depend on brotli pigz.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Drop obsolete Files and License sections.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update lintian overrides
    regarding GeoJSON/image strings mistaken as minified JavaScript.
  * Update watch file: Use substitution strings.
  * Fix clean temporary directory.
    Closes: Bug#918652. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Jan 2019 11:14:12 +0100

leaflet (1.0.3~dfsg-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix Vcs fields

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Use debhelper hint files.
    + Use short-form dh sequencer. Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.3.0.
  * Update watch file: Fix typo in usage comment.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage of packaging.
  * Wrap and sort control file.
  * Use https protocol in homepage URL.
  * Set package priority optional (not extra).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jan 2019 12:26:01 +0100

leaflet (1.0.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exlude all generated (not only minified) code, convenience code
      copy, and image with embedded non-free ICC profile, when
      repackaging upstream source.
    + Extend copyright of packaging to cover current year.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Drop CDBS debhelper hint: Handled in CDBS now.
  * Add patch 2002 to avoid use git to resolve version string.
  * Drop patch 2001: Upstream no longer use jshint.
  * Update package relations:
    + Build-depend on node-source-map.
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on devscripts.
  * Normalize library filenames to use .min suffix.
  * Add NEWS entry about major release with ABI changes, and normalized
    library filenames.
  * Add more GeoJSON files mistaken as non-source to lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Apr 2017 20:42:50 +0200

leaflet (0.7.7+20160312-1) unstable; urgency=medium

  [ upstream ]
  * New release(s) and subsequent snapshot.
    0.7.4
    + Fix bug reacting to interactions while loading in recent Chrome.
    + Fix bug of tile layers not respecting minZoom/maxZoom options.
    + Improve touch detection, esp. Chrome/Firefox in emulation mode.
    + Fix bug in bounds checking of tile layers with maxNativeZoom.
    + Fix bug remembering popup layer order after bindPopup(popup) call.
    + Fix race condition between markers and zoom animation.
    + Fix bug with Map.fitBounds padding.
    + Allow canvas paths to fire dblclick and contextmenu events.
    + Allow canvas filled polygons to use the fillRule option.
    + Allow canvas lines to use lineCap and lineJoin options.
    + Update bower definitions to comply with best practices.
    0.7.5
    + Fix regression that broke animation in Leaflet.markercluster.
    0.7.7
    + Fix regression of loowing tiles when pinch-zooming on iOS devices.
    + Fix regression related to msPointer detection in IE10.
    + Fix bug where mouseout can fire after vector element is removed.
    + Fix touch interactions in Edge browser.
    + Fix bug where layer group removal from feature group throws error.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from ducmentation.
    + Set repacksuffix.
    + Add usage comment.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Modernize Vcs-Git field: Use https protocol.
  * Declare compliance with Debian Policy 3.9.8.
  * Add README.source section on getting upstream snapshots.
  * Update copyright info:
    + Extend copyright for main author to include recent years.
    + Extend copyright of packaging to cover current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix syntax of lintian overrides regarding GeoJSON files (mistaken
    for minified code).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 May 2016 11:00:33 +0200

leaflet (0.7.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add proper bower and component support.
    + Fix error in FF on dragging the map outside the window.
    + Fix some taps on Android falsely perceived as drags.
    + Fix tapping too quickly on Android ignoring most taps.
    + Fix map freeze on calling setView (or similar methods) several
      times in succession.
    + Fix failure removing Control.Layers.
    + Fix failure firing TileLayer load event.
    + Fix Canvas-based paths not triggering remove event when removed.
    + Fix pinch-zooming leading to fractional zoom in some cases.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage of packaging.
  * Suppress lintian warnings: JSON data confused as sourceless minified
    JavaScript.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Use recent Uglifyjs:
    + Drop patch 2002.
    + Tighten to build-depend versioned on node-uglify.
  * Repackage upstream tarball to strip potentially source-less minified
    file.
    Thanks to lintian.
  * Add alternate git source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 18:29:42 +0200

leaflet (0.7.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * And NEWS item about dropped custom CSS for legacy IE styles.
  * Unfuzz and simplify patches.
  * Explicitly build target "build" (default involves lint which is not
    in Debian).
  * Bump standards compliance to standards-version 3.9.5.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Jan 2014 23:16:01 +0100

leaflet (0.6.4-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix infinite loop in getBounds and setMaxBounds.
    + Fix map scrolling right on click with horizontal scroll on page.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jul 2013 20:58:21 +0200

leaflet (0.6.3-1) unstable; urgency=low

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2013 01:17:34 +0200

leaflet (0.6.2-1) unstable; urgency=low

  [ upstream ]
  * New bugfix release.
    + Fixed a regression with mouse wheel zooming too fast on Firefox.
    + Fixed a regression with broken zooming on maps with EPSG3395
      projection.
    + Fixed a bug where zoom buttons inherited Bootstrap link hover
      styles.
    + Fixed a bug that caused wrong tile layers stacking order when
      using opacity < 1.
    + Fixed a regression that caused tiles selection when
      double-clicking absolutely positioned maps with vector layers in
      it in Firefox.
    + Fixed a regression with a wrong cursor when dragging a map with
      vector layers, and tiles becoming selected on double click.
    + Fixed a regression that caused flickering of tiles near map border
      on zoom animation in Chrome.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 03:03:49 +0200

leaflet (0.6-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Stop tracking md5sum of upstream tarball.
  * Update image copyright check suppression.
  * Update copyright file:
    + Drop Files section for no longer shipped jasmine.
    + Add Files section for convenience code copy of sinon.js
      (derivation of BSD-3-clause) and expect.js (Expat).
  * Add NEWS entry listing backwards-incompatible changes.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Jun 2013 01:44:42 +0200

leaflet (0.5.1-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix bug properly detecting default marker icon path in some cases
      in IE6 and IE7.
    + Fix bug handling null objects in Map hasLayer.
    + Fix bug escaping TileLayer.WMS param values in URLs.

  [ Jonas Smedegaard ]
  * Ignore upstream .gitignore files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Feb 2013 13:21:41 +0100

leaflet (0.5-1) unstable; urgency=low

  [ upstream ]
  * New release.
    Highlights:
    + IE10 touch devices and Metro apps support.
    + Retina-enabled markers.
    + Much better panning inertia implementation.
    + Hand cursors for dragging.
    + New zoom control design.

  [ Jonas Smedegaard ]
  * Update upstream URLs to reflect new Homepage and development project
    home.
  * Shorten Vcs-Git URL in control file.
  * Update short and long description based on upstream texts.
  * Enable copyright check during normal builds.
    Build-depend on devscripts.
  * Extend copyright coverage of packaging, and tighten to GPL-3+
    (except patch 2001 kept as BSD-2-clause or GPL-2+).
  * Add README.source covering use of CDBS and git-buildpackage.
  * Update and extend coverage of main copyright holders, and add
    comment about misleading notes still at some places in source.
  * Add patch 2002 to revive pre-0.5 use of Uglifyjs 1.x.
  * Add NEWS file with entry echoing backwards-incompatible changes from
    upstream changelog.

  [ Andrew Harvey ]
  * Refresh patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Jan 2013 13:22:05 +0100

leaflet (0.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Adapt watch file and upstream-tarball hints to use improved upstream
    paths.
  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 14:01:07 +0100

leaflet (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2012 19:19:38 +0200

leaflet (0.4-1) experimental; urgency=low

  * New upstream release.

  * Update copyright file:
    + Cover new jasmine files,  Expat licensed.
    + Extend coverage of main project to include current year.
    + Adjust to use standard short name BSD-2-clause.
    + Rewrap License sections at 72 chars.
    + Rephrase reference to GPL to be shorter, and reference FSF website
      (not postal address). Put both in pseudo-comment-in-license
      paragraph to emphasize them being not verbatim yet obey File
      format 1.0 mandating License paragraph being either single-line or
      include all licensing info.
    + Bump file format to 1.0, and add Github issue tracker as upstream
      contact.
  * Update patches:
    + Drop patch cherry-picked upstream: Included upstream.
    + Refresh patch 2001.
  * Add control.in to ease managing package relations.
  * Enable copyright check during build.
  * Relax to build unversioned on cdbs: Needed version satisfied in
    stable, and oldstable no longer supported.
  * Add git-buildpackage config, enabling signed tags and use of
    pristine-tar.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jul 2012 20:31:02 +0200

leaflet (0.3.1-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#678419.

  [ Jonas Smedegaard ]
  * Update watch, rules and copyrigh files to directly use github.com
    URL (not githubredir.debian.net or Homepage).
  * Fix tighten build-dpendency on cdbs: Needed for recent debhelper
    support.
    Relax slightly build-dependency on debhelper: Eases backporting.
  * Put aside upstream shipped autogenerated files during build (instead
    of stripping and repackaging source tarball).
    Closes: bug#678426.
    Tighten build-dependency on cdbs: Needed for routine to put files
    aside.
  * Refresh patch, minimize, add DEP3 header, and rename to 2001.
  * Add debian/patches/README documenting numbering micro-policy.
  * Add patch from upstream VCS to fix non-removable attributions
    regression.
  * Git-ignore quilt .pc subdir to ease git-buildpackage usage.
  * Add myself as uploader.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Jun 2012 02:46:21 +0200

leaflet (0.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules for new upstream build system.
  * Patch upstream build system to avoid running tests until jshlint is packaged

 -- Andrew Harvey <andrew.harvey4@gmail.com>  Tue, 14 Feb 2012 07:11:04 +1100

leaflet (0.2.1-1) unstable; urgency=low

  * Initial release.
  * Closes: #641883

 -- Andrew Harvey <andrew.harvey4@gmail.com>  Sat, 17 Sep 2011 15:26:00 +1000
